summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoni Jantti <joni.jantti@qt.io>2018-04-09 11:07:08 +0300
committerLiang Qi <liang.qi@qt.io>2018-04-15 16:41:13 +0000
commite8a60ed41bb838f40558ac39e496b4a1e32e9140 (patch)
treec39768f067174597d1e77c8e9deee6e0751c2f3c
parentc4040976006cd99ae85bcf8bbd19054d00a7b227 (diff)
Provisioning: Ubuntu - Add QNX 6.6.0
QNX 6.6.0 is required by RTA. Task-number: QTQAINFRA-1914 Change-Id: Id0578050d24fb13f3e10a10e972be790d39f9bc0 Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
-rwxr-xr-xcoin/provisioning/common/linux/qnx_660.sh66
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/60-qnx660.sh38
2 files changed, 104 insertions, 0 deletions
diff --git a/coin/provisioning/common/linux/qnx_660.sh b/coin/provisioning/common/linux/qnx_660.sh
new file mode 100755
index 00000000..7f6ab063
--- /dev/null
+++ b/coin/provisioning/common/linux/qnx_660.sh
@@ -0,0 +1,66 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs QNX 6.6.0.
+
+set -ex
+
+source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
+
+targetFolder="/opt/"
+sourceFile="http://ci-files01-hki.intra.qt.io/input/qnx/linux/qnx660.tar.gz"
+sha1="E292CCAEF447AC1AA4DAD7802D604A5531ACD8D0"
+folderName="qnx660"
+targetFile="qnx660.tar.gz"
+wget --tries=5 --waitretry=5 --progress=dot:giga --output-document="$targetFile" "$sourceFile"
+echo "$sha1 $targetFile" | sha1sum --check
+if [ ! -d "$targetFolder" ]; then
+ mkdir -p $targetFolder
+fi
+sudo tar -C $targetFolder -xvzf $targetFile
+sudo chown -R qt:users "$targetFolder"/"$folderName"
+
+# Verify that we have last file in tar
+if [ ! -f $targetFolder/$folderName/qnx660-env.sh ]; then
+ echo "Installation failed!"
+ exit -1
+fi
+
+rm -rf $targetFile
+
+# Set env variables
+SetEnvVar "QNX_660" "$targetFolder$folderName"
+
+echo "QNX SDP = 6.6.0" >> ~/versions.txt
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/60-qnx660.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/60-qnx660.sh
new file mode 100755
index 00000000..6b5cf23c
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/60-qnx660.sh
@@ -0,0 +1,38 @@
+#!/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+source "${BASH_SOURCE%/*}/../common/linux/qnx_660.sh"